Skip to main content
DELETE
Python

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Scopes

benefits:write
pat
benefits:write
oat

Path Parameters

id
string<uuid4>
required

Response

Successful Response

manually_granted_at
string<date-time> | null
required

When the manual grant was requested, if applicable.

Example:

"2026-01-01T00:00:00.000000Z"

manually_revoked_at
string<date-time> | null
required

When this grant was permanently revoked manually, if applicable.

Example:

"2026-01-01T00:00:00.000000Z"

created_at
string<date-time>
required

Creation timestamp of the object.

Example:

"2026-01-01T00:00:00.000000Z"

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

Example:

"2026-01-01T00:00:00.000000Z"

id
string<uuid4>
required

The ID of the grant.

is_granted
boolean
required

Whether the benefit is granted.

is_revoked
boolean
required

Whether the benefit is revoked.

subscription_id
string<uuid4> | null
required

The ID of the subscription that granted this benefit.

order_id
string<uuid4> | null
required

The ID of the order that granted this benefit.

customer_id
string<uuid4>
required

The ID of the customer concerned by this grant.

benefit_id
string<uuid4>
required

The ID of the benefit concerned by this grant.

customer
CustomerIndividual · object
required

A customer in an organization.

benefit
BenefitCustom · object
required

A benefit of type custom.

Use it to grant any kind of benefit that doesn't fit in the other types.

properties
BenefitGrantDiscordProperties · object
required
granted_at
string<date-time> | null

The timestamp when the benefit was granted. If None, the benefit is not granted.

Example:

"2026-01-01T00:00:00.000000Z"

revoked_at
string<date-time> | null

The timestamp when the benefit was revoked. If None, the benefit is not revoked.

Example:

"2026-01-01T00:00:00.000000Z"

member_id
string<uuid4> | null

The ID of the member concerned by this grant.

error
BenefitGrantError · object | null

The error information if the benefit grant failed with an unrecoverable error.

member
Member · object | null

A member of a customer.